import { format } from '@/utils';

function useTool() {
	
	// 处理消息时间显示
	function handleTime(index, list) {
		//第一条消息展示 && 两条消息的间隔时间超过10分钟则显示
		const { indate } = list[index]
		
		if (index >= 1) {					
			const { indate: old_indate } = list[index - 1]
			if((Number(indate) - Number(old_indate)) >= 10 * 60){
				return handleBetterTimeShow(Number(indate * 1000))
			}
		}
		else {
			return handleBetterTimeShow(Number(indate * 1000))
		}
	}
	// 处理时间显示格式
	function handleBetterTimeShow(value) {
		// 今天的消息显示hh:mm 其余的显示yyyy-MM-dd hh:mm
		if(format(new Date(value), 'yyyy-MM-dd') === format(new Date(), 'yyyy-MM-dd')){
			return format(new Date(value), 'HH:mm')
		}
		return format(new Date(value), 'yyyy-MM-dd HH:mm')
	}
	
	
	return {
		handleTime
	}
}


export default useTool